name: free2pass_support
description: The support library providing shared codes of the different parts of the free2pass apps.
version: 0.0.1
homepage: https://gitlab.com/free2pass/lib-free2pass-dart

environment:
  sdk: '>=2.12.0 <3.0.0'
  flutter: ">=1.17.0"

dependencies:
  flutter:
    sdk: flutter

  animations: ^2.0.2
  camera_camera: ^2.0.2
  crypto: ^3.0.1
  dbcrypt: ^2.0.0
  encrypt: ^5.0.1
  file_picker_cross: ^4.5.0
  flutter_markdown: ^0.6.8
  http: ^0.13.4
  intl: ^0.17.0
  openpgp: ^3.1.1
  pointycastle: ^3.4.0
  qr_code_scanner: ^0.6.1
  rsa_encrypt: ^2.0.0
  url_launcher: ^6.0.17
  uuid: ^3.0.5

dev_dependencies:
  flutter_test:
    sdk: flutter

dependency_overrides:
  rsa_encrypt:
    git: https://github.com/TheOneWithTheBraid/rsa_encrypt.git # TODO: wait for release

flutter_intl:
  enabled: true
